\documentclass[a4paper,11pt]{article}

%%%%%%%% CREATE DOCUMENT STRUCTURE %%%%%%%%
%% Language and font encodings
\usepackage[english]{babel}
% \usepackage[utf8x]{inputenc}
\usepackage[T1]{fontenc}

%% Sets page size and margins
\usepackage[a4paper,top=3cm,bottom=2cm,left=2cm,right=2cm,marginparwidth=2cm]{geometry}

%% Custom Margins
\usepackage{fancyhdr}


%%% Table and figures
\usepackage{graphicx}  % insert images, define colors, resize box...
\usepackage[table,xcdraw,pdftex,usenames, dvipsnames]{xcolor}  % color and colored table
\usepackage{float}  % \begin{figure}[H] = HERE
% \usepackage[justification=centering]{caption}
\usepackage{subcaption}  % Multiple figure on one row
\usepackage{tabularx}  % More option for tables (ex: length)



%%% Title, bibliography, glossary, todonotes
\usepackage{titling}  % custom titles
\usepackage{titlesec}  % more features for sections macro
\usepackage{titletoc}  % multiple toc and more
% \usepackage{minitoc}  % parttoc /!\ Not comptatible with titlesec use titletoc instead
\usepackage{tocloft}  % adjust toc style
\usepackage[square,sort,comma,numbers]{natbib}  % bibliography
\usepackage[nottoc,notbib]{tocbibind}  % bibliography in toc
\usepackage[toc,acronym]{glossaries}    % glossary [toc] to show in Table Of Content
% Workaround for the titlesec/hyperref (nameref) conflict: https://tex.stackexchange.com/a/673840
\makeatletter
\newcommand\setcurrentname[1]{\def\@currentlabelname{#1}}
\makeatother

\usepackage[colorinlistoftodos]{todonotes}  % Notes
% !!! <-----------------------------------------------------------------------
% \usepackage[disable]{todonotes}  % hide annotation for release

%%% Useful
\usepackage{multicol}           % multiple column on single page 
\usepackage{hyperref}           % Hyperlink
\hypersetup{
    colorlinks=true,
    linkcolor=blue,
    filecolor=magenta,      
    urlcolor=cyan,
}
\usepackage{xargs}                      % Use more than one optional parameter in a new commands
\usepackage{enumitem}           % enumerate
\usepackage{ulem}               % Strikethrough text

%% Math

% Math font (one or the other!)
% \usepackage{amssymb}
\usepackage{fourier}
\usepackage[cal=cm, scr=boondox, frak=euler]{mathalpha}  % bb=ams, cal=cm, scr=boondox, frak=euler
\let\amsmathbb\mathbb
% \AtBeginDocument{%
%     \let\mathbb\relax
%     \newcommand{\mathbb}[1]{\amsmathbb{#1}}
% }  % Restore \mathbb from fourier
% \DeclareMathAlphabet{\mathcal}{OMS}{cmsy}{m}{n}  % restore \mathcal font from fourier
\DeclareMathAlphabet\mathbfcal{OMS}{cmsy}{b}{n}    % Add bold mathcal font

%% Useful
\usepackage{amsmath}  % math essentials
\usepackage{amsthm}  % \newtheorem
\usepackage{mathtools}  % \smashoperator \underbracket \adjustlimits \xLeftarrow...
\usepackage{aligned-overset} % being able to align on operator not overset in align environment
\usepackage[thinc]{esdiff} % derivative
\usepackage{blkarray} % for exotic matrices

%% Draw Graph
\usepackage{tikz}
\usetikzlibrary{automata, arrows, shapes, positioning, calc}
\usepackage{tikz-qtree}  % easy tree


%%% Programming
\usepackage{minted}             % alternative code listing


%% Minted
\definecolor{bg}{HTML}{F0F0F0}
\setminted{bgcolor=bg, frame=lines}
% \setminted{mathescape, escapeinside=¬¬}
\newminted[lstpython]{python3}{}
\newmintinline[pythoninline]{python3}{}


%%%%%%%% Customization %%%%%%%%

%% Custom date format
\def\monthyear{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\year}
% \def\monthyear{\ifcase\month\or
%   Janvier\or Février\or Mars\or Avril\or Mai\or Juin\or
%   Juillet\or Août\or Septembre\or Octobre\or Novembre\or Décembre\fi
%   \space\number\year}

%% custom titles
\makeatletter
\renewcommand{\maketitle}{
\begin{center}
\vspace{2ex}
{\LARGE \textsc{\@title}}   % Title police
\vspace{1ex}
\\
\par\noindent\rule{\textwidth}{0.4pt}
\@author \hfill \@date
\vspace{4ex}
\end{center}
}
\makeatother

%% Table of content name
% \renewcommand\contentsname{Contents}  % if babel is not used
\addto\captionsenglish{% Replace "english" with the language you use with babel
  \renewcommand{\contentsname}%
    {Table of contents}%
} 

%% custom section and subsection <-----------------------------------------------------------------------------
% \makeatletter
% \def\@seccntformat#1{%
%   \expandafter\ifx\csname c@#1\endcsname\c@section
%   SectionName \thesection \space:
%   \else
%   \expandafter\ifx\csname c@#1\endcsname\c@subsection
%   SubsectionName \arabic{subsection} \space:
%   \else
%   \csname the#1\endcsname\quad
%   \fi
%   \fi}
% \makeatother
%%%


%%%%%%% Page header %%%%%%
\pagestyle{fancy}
\lhead{}
\chead{}
\rhead{}
\lfoot{}
\cfoot{}
\rfoot{\thepage}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}
%


%%%%%%%%% Macros %%%%%%%%%

%% Powerset symbol
\newcommand{\powerset}{\raisebox{.15\baselineskip}{\Large\ensuremath{\wp}}}

%% Set
\providecommand\given{} % just to make sure it exists
\newcommand\SetSymbol[1][]{%
    \nonscript\:#1\vert
    \allowbreak
    \nonscript\:
    \mathopen{}}
\DeclarePairedDelimiterX\Set[1]\{\}{%
    \renewcommand\given{\SetSymbol[\delimsize]}
#1
}

%% Easier Vertical line in matrices
% https://tex.stackexchange.com/a/33523
\makeatletter
\renewcommand*\env@matrix[1][*\c@MaxMatrixCols c]{%
  \hskip -\arraycolsep
  \let\@ifnextchar\new@ifnextchar
  \array{#1}}
\makeatother

%% Paired Delimiter
\DeclarePairedDelimiter\ceil{\lceil}{\rceil}
\DeclarePairedDelimiter\floor{\lfloor}{\rfloor}
\DeclarePairedDelimiter\paren{(}{)}           % (parentheses)
\DeclarePairedDelimiter\ang{\langle}{\rangle} % <angle brackets>
\DeclarePairedDelimiter\abs{\lvert}{\rvert}   % |absolute value|
\DeclarePairedDelimiter\norm{\lVert}{\rVert}  % ||norm||
\DeclarePairedDelimiter\bkt{[}{]}             % [brackets]
\DeclarePairedDelimiter\set{\{}{\}}           % {braces}

% Math functions with adjustable parenthesis
% \newcommand{\FT}{\operatorname{\mathcal{F}}\paren}

%% custom theorems
\newtheoremstyle{mytheor}
    {1ex}{1ex}{\normalfont}{0pt}{\scshape}{.}{1ex}
    {{\thmname{#1 }}{\thmnumber{#2}}{\thmnote{ (#3)}}}

\theoremstyle{mytheor}
\newtheorem{defi}{Definition}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% DOCUMENT %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\makeglossaries
\glsenablehyper
\input{Glossary.tex}

\begin{document}

%%%%%%%%% Useful Examples ----------------------------------------------------

%%% #SECTION

% \phantomsection
% \section*{Section}
% \setcurrentname{Section}
% \label{sec:secname}
% \addcontentsline{toc}{section}{\nameref{sec:secname}}

%
% %
% % %
%%%%%%% #################################################################### %%%%%%%
% \part{Part}

% 
% % 
%%%%% ================================================================ %%%%%
% \section{Section}

%
%%% -------------------------------------------------------------- %%%
% \subsection{Subsection}

%
% .............................................................. %
% \subsubsection{Subsubsection}


% \vspace{5cm}  % jump lines
% \clearpage    % jump page

% \noindent
% \hspace{\parindent}


% \begin{verbatim}
%     a := 42
%     b := {!?!}
% \end{verbatim}

% \begin{itemize}
%     \item item-.
%     \item item-.
% \end{itemize}

% \begin{enumerate}
%     \item item-1
%     \item item-2
% \end{enumerate}


%%% #FIGURE

% \begin{figure}[H]
%     \centering
%     \includegraphics[width=0.3\textwidth]{figureName.png}
%     \caption{Caption}
% \end{figure}

% \begin{figure}[H]
%     \centering
%     \begin{subfigure}[t]{0.4\textwidth}
%         \centering
%         \includegraphics[width=\textwidth]{fig_1-1.png}
%         \caption*{1, 1}
%     \end{subfigure}
%     % / \quad / \hfill
%     \begin{subfigure}[t]{0.4\textwidth}
%         \centering
%         \includegraphics[width=\textwidth]{fig_1-2.png}
%         \caption*{1, 2}
%     \end{subfigure}

%     % \hfill \newline
    
%     \centering
%     \begin{subfigure}[t]{0.25\textwidth}
%         \centering
%         \includegraphics[width=\textwidth]{fig_1-1.png}
%         \caption*{2, 1}
%     \end{subfigure}
%     % / \quad / \hfill
%     \begin{subfigure}[t]{0.25\textwidth}
%         \centering
%         \includegraphics[width=\textwidth]{fig_1-2.png}
%         \caption*{2, 2}
%     \end{subfigure}
%     % / \quad / \hfill
%     \begin{subfigure}[t]{0.25\textwidth}
%         \centering
%         \includegraphics[width=\textwidth]{fig_1-3.png}
%         \caption*{2, 3}
%     \end{subfigure}

%     \caption{Main caption}
% \end{figure}

% \begin{figure}[H]
%     \centering
%     \begin{minipage}[t]{0.4\textwidth}
%         \centering
%         \includegraphics[width=\textwidth]{fig_1.png}
%         \caption*{1}
%     \end{minipage}
%     \begin{minipage}[t]{0.4\textwidth}
%         \centering
%         \includegraphics[width=\textwidth]{fig_2.png}
%         \caption*{2}
%     \end{minipage}
%     \caption{Main caption}
% \end{figure}

% \begin{lstpython}
% MyCode
% \end{lstpython}

% \pythoninline{MyCode}


%%% #TABLE
% https://www.tablesgenerator.com/#


% \todo[inline]{Don't forget to disable the comments with \usepackage[disable]{todonotes} (l.38) when done}

%%%%%%%%% --------------------------------------------------------------------
% % % % %
% % % %
% % %
% %
%

%%%% Title Page
\begin{titlepage}

\newcommand{\HRule}{\rule{\linewidth}{0.5mm}} 							% horizontal line and its thickness
\center 
 
% University
\vspace*{.06\textheight}
\textcolor[HTML]{D80669}{
\textsc{\LARGE Université de Genève}
}\\[1.5cm]

% Document info
\textsc{\Large Master’s Thesis}\\[.5cm]
\HRule \\[.5cm]
{\huge \bfseries Objects identification based on the paper fingerprint}\\[.5cm]
\HRule \\[.5cm]
{\large \monthyear} \\[1cm]
% Author info
% \textsc{\large \url{https://github.com/Ethan-Icet/dlc-2022-project/}}\\[1cm] 

\begin{minipage}[t]{0.40\textwidth}
\begin{flushleft}
\emph{Author:} \\
Ethan \textsc{Icet}\\
\end{flushleft}
\end{minipage}
\begin{minipage}[t]{0.40\textwidth}
\begin{flushright}
\emph{Supervisors:} \\
Pr. Sviatoslav \textsc{Voloshynovskiy}\\
Dr. Olga \textsc{Taran} \\
Dr. Roman \textsc{Chaban}
\end{flushright}
\end{minipage}\\[2cm]

% Logo
\vfill 
\includegraphics[width=0.4\textwidth]{images/unige_csd.png}\\[1cm] 	% University logo
\end{titlepage}

\pagenumbering{roman}   % Roman first pages <roman>

% \setcurrentname{secname}
% \label{sec:secname}
% \addcontentsline{toc}{section}{\nameref{sec:secname}}

%
% %
% % %
%%%%%%% #################################################################### %%%%%%%
% \part{Part}

% 
% % 
%%%%% ================================================================ %%%%%
% \section{Section}

%
%%% -------------------------------------------------------------- %%%
% \subsection{Subsection}

%
% .............................................................. %
% \subsubsection{Subsubsection}

% 
% % 
%%%%% ================================================================ %%%%%
\phantomsection
\section*{Abstract}
\setcurrentname{Abstract}
\label{sec:Abstract}
\addcontentsline{toc}{section}{\nameref{sec:Abstract}}


\clearpage
% 
% % 
%%%%% ================================================================ %%%%%
\phantomsection
\section*{Acknowledgments}
\setcurrentname{Acknowledgments}
\label{sec:Acknowledgments}
\addcontentsline{toc}{section}{\nameref{sec:Acknowledgments}}

\clearpage
% 
% % 
%%%%% ================================================================ %%%%%
% \section*{Table of contents}  % Modify line 121
\phantomsection
\setcurrentname{Table of contents}
\label{sec:TOC}
\addcontentsline{toc}{section}{\nameref{sec:TOC}}

%%%%% TABLE OF CONTENTS
\tableofcontents        % Summary
\clearpage

% 
% % 
%%%%% ================================================================ %%%%%
% \phantomsection
% \section*{List of Figures}
% \setcurrentname{List of Figures}
% \label{sec:LoF}
% \addcontentsline{toc}{section}{\nameref{sec:LoF}}
\listoffigures

% 
% % 
%%%%% ================================================================ %%%%%
% \phantomsection
% \section*{List of Tables}
% \setcurrentname{List of Tables}
% \label{sec:LoT}
% \addcontentsline{toc}{section}{\nameref{sec:LoT}}
\listoftables

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% GLOSSARY %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \clearpage
\printglossary[type=\acronymtype]
\printglossary[title=Glossary, toctitle=Glossary]


% 
% % 
%%%%% ================================================================ %%%%%
\phantomsection
\section*{Symbols and Notation}
\setcurrentname{Symbols and Notation}
\label{sec:Symbols}
\addcontentsline{toc}{section}{\nameref{sec:Symbols}}


\clearpage
\pagenumbering{arabic}  % </roman>
%
% %
% % %
%%%%%%% #################################################################### %%%%%%%
\part{Introduction}

% 
% % 
%%%%% ================================================================ %%%%%
\section{Domain background}

% 
% % 
%%%%% ================================================================ %%%%%
\section{Physical Unclonable Function}

% 
% % 
%%%%% ================================================================ %%%%%
\section{State of the art}

% 
% % 
%%%%% ================================================================ %%%%%
\section{Objectives}

% 
% % 
%%%%% ================================================================ %%%%%
\section{Statistical introduction}

\clearpage
%
% %
% % %
%%%%%%% #################################################################### %%%%%%%
\part{Dataset}

% 
% % 
%%%%% ================================================================ %%%%%
\section{Acquisition procedure}

% 
% % 
%%%%% ================================================================ %%%%%
\section{Processing steps}

% 
% % 
%%%%% ================================================================ %%%%%
\section{Content}

\clearpage
%
% %
% % %
%%%%%%% #################################################################### %%%%%%%
\part{General view}

% 
% % 
%%%%% ================================================================ %%%%%
\section{Region}

% 
% % 
%%%%% ================================================================ %%%%%
\section{Methodology}

% 
% % 
%%%%% ================================================================ %%%%%
\section{Metrics}

% 
% % 
%%%%% ================================================================ %%%%%
\section{Experiments}


\clearpage
%
% %
% % %
%%%%%%% #################################################################### %%%%%%%
\part{Experiments}

% 
% % 
%%%%% ================================================================ %%%%%
\section{Measures}

% 
% % 
%%%%% ================================================================ %%%%%
\section{Results summary}

\clearpage
%
% %
% % %
%%%%%%% #################################################################### %%%%%%%
\part{Evaluation of the results}

\clearpage
%
% %
% % %
%%%%%%% #################################################################### %%%%%%%
\part*{Conclusion and future works}
\setcurrentname{Conclusion and future works}
\label{part:Conclusion}
\addcontentsline{toc}{part}{\nameref{part:Conclusion}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% BIBLIOGRAPHY %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\clearpage
\renewcommand{\bibname}{References}
\renewcommand{\bibsection}{\part*{\bibname}}
\phantomsection
\setcurrentname{References}
\label{part:References}
\addcontentsline{toc}{part}{\nameref{part:References}}
\nocite{*}
\bibliographystyle{unsrt}
\bibliography{Bibliography.bib}

\clearpage
%
% %
% % %
%%%%%%% #################################################################### %%%%%%%
\part*{Appendix}
\setcurrentname{Appendix}
\label{part:Appendix}
\addcontentsline{toc}{part}{\nameref{part:Appendix}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% TODO %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\clearpage
\todototoc
\listoftodos

%
% %
% % %
% % % %
% % % % %
\end{document}
